QXmpp: QXmppJinglePayloadType Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppJinglePayloadType Class Reference

The QXmppJinglePayloadType class represents a payload type as specified by XEP-0167: Jingle RTP Sessions and RFC 5245. More...

`#include <QXmppJingleData.h>`

## Public Member Functions
| QXmppJinglePayloadType (const QXmppJinglePayloadType &other)
| Constructs a copy of other.
unsigned char | channels () const
| Returns the number of channels (e.g. 1 for mono, 2 for stereo).
void | setChannels (unsigned char channels)
| Sets the number of channels (e.g. 1 for mono, 2 for stereo).
unsigned int | clockrate () const
| Returns the clockrate in Hz, i.e. the number of samples per second.
void | setClockrate (unsigned int clockrate)
| Sets the clockrate in Hz, i.e. the number of samples per second.
unsigned char | id () const
| Returns the payload type identifier.
void | setId (unsigned char id)
| Sets the payload type identifier.
unsigned int | maxptime () const
| Returns the maximum packet time in milliseconds.
void | setMaxptime (unsigned int maxptime)
| Sets the maximum packet type in milliseconds.
QString | name () const
| Returns the payload type name.
void | setName (const QString &name)
| Sets the payload type name.
QMap< QString, QString > | parameters () const
| Returns the payload parameters.
void | setParameters (const QMap< QString, QString > &parameters)
| Sets the payload parameters.
unsigned int | ptime () const
| Returns the packet time in milliseconds (20 by default).
void | setPtime (unsigned int ptime)
| Sets the packet time in milliseconds (20 by default).
QVector< QXmppJingleRtpFeedbackProperty > | rtpFeedbackProperties () const
void | setRtpFeedbackProperties (const QVector< QXmppJingleRtpFeedbackProperty > &rtpFeedbackProperties)
QVector< QXmppJingleRtpFeedbackInterval > | rtpFeedbackIntervals () const
void | setRtpFeedbackIntervals (const QVector< QXmppJingleRtpFeedbackInterval > &rtpFeedbackIntervals)
QXmppJinglePayloadType & | operator= (const QXmppJinglePayloadType &other)
bool | operator== (const QXmppJinglePayloadType &other) const

## Detailed Description

The QXmppJinglePayloadType class represents a payload type as specified by XEP-0167: Jingle RTP Sessions and RFC 5245.

## Member Function Documentation

## ◆ operator=()

QXmppJinglePayloadType & QXmppJinglePayloadType::operator= | ( | const QXmppJinglePayloadType & | other | ) |

Assigns the other payload type to this one.

Parameters

  other |

## ◆ operator==()

bool QXmppJinglePayloadType::operator== | ( | const QXmppJinglePayloadType & | other | ) | const

Returns true if this QXmppJinglePayloadType and other refer to the same payload type.

Parameters

  other |

## ◆ rtpFeedbackIntervals()

QVector< QXmppJingleRtpFeedbackInterval > QXmppJinglePayloadType::rtpFeedbackIntervals | ( |  | ) | const

Returns the intervals of RTP feedback.

Returns
  the RTP feedback intervals

## ◆ rtpFeedbackProperties()

QVector< QXmppJingleRtpFeedbackProperty > QXmppJinglePayloadType::rtpFeedbackProperties | ( |  | ) | const

Returns the properties of RTP feedback.

Returns
  the RTP feedback properties

Since
  QXmpp 1.5

## ◆ setRtpFeedbackIntervals()

void QXmppJinglePayloadType::setRtpFeedbackIntervals | ( | const QVector< QXmppJingleRtpFeedbackInterval > & | rtpFeedbackIntervals | ) |

Sets the intervals of RTP feedback.

Parameters

  rtpFeedbackIntervals | RTP feedback intervals

## ◆ setRtpFeedbackProperties()

void QXmppJinglePayloadType::setRtpFeedbackProperties | ( | const QVector< QXmppJingleRtpFeedbackProperty > & | rtpFeedbackProperties | ) |

Sets the properties of RTP feedback.

Parameters

  rtpFeedbackProperties | RTP feedback properties

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp